import prologue
import prologue/middlewares/staticfile
import templating

proc getIndex*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="index.nwt")

proc runWebsite(settings: Table) =
  let prologueSettings = newSettings(
    debug = settings["debug"]
  )
  var website = newApp(settings = prologueSettings)

  website.get("/", getIndex)

  website.use(staticFileMiddleware("static"))
  website.run()

export runWebsite
